Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()>
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class ProductFinderFIFO
    Inherits BaseObject
    Private _MasterKey As Guid
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Browsable(False)> _
    Property MasterKey As Guid
        Get
            Return _MasterKey
        End Get
        Set(value As Guid)
            SetPropertyValue("MasterKey", _MasterKey, value)
        End Set
    End Property

    ReadOnly Property StorageInRows As XPCollection(Of StorageInRows)
        Get
            Return New XPCollection(Of StorageInRows)(Session, CriteriaOperator.Parse(""))
        End Get
    End Property
    ReadOnly Property ProductSelectedFIFO As XPCollection(Of ProductSelectedFIFO)
        Get
            Return New XPCollection(Of ProductSelectedFIFO)(Session, CriteriaOperator.Parse("MasterKey=?", Me.MasterKey))
        End Get
    End Property
End Class
